TF_ObjectImplExtRef< BASE, SCHEME_OPTIONS, KEY > Class Template Reference

_ More...

Inheritance diagram for TF_ObjectImplExtRef< BASE, SCHEME_OPTIONS, KEY >:

## Public Member Functions

| TF_ObjectImplExtRef (const KEY *pKey=NULL)
void | SetKeyPtr (const KEY *pKey)
const KEY & | GetKey () const
KEY & | AccessKey ()
Public Member Functions inherited from TF_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY >
PublicKey & | AccessPublicKey ()
const PublicKey & | GetPublicKey () const
PrivateKey & | AccessPrivateKey ()
const PrivateKey & | GetPrivateKey () const
const KeyClass & | GetTrapdoorFunction () const
PK_MessageAccumulator * | NewSignatureAccumulator (RandomNumberGenerator &rng) const
PK_MessageAccumulator * | NewVerificationAccumulator () const
Public Member Functions inherited from AlgorithmImpl< BASE, SCHEME_OPTIONS::AlgorithmInfo >
std::string | AlgorithmName () const

## Additional Inherited Members

Public Types inherited from TF_ObjectImplBase< BASE, SCHEME_OPTIONS, KEY >
typedef SCHEME_OPTIONS | SchemeOptions
typedef KEY | KeyClass
Static Public Member Functions inherited from AlgorithmImpl< BASE, SCHEME_OPTIONS::AlgorithmInfo >
static std::string | StaticAlgorithmName ()

## Detailed Description

### template<class BASE, class SCHEME_OPTIONS, class KEY>
class TF_ObjectImplExtRef< BASE, SCHEME_OPTIONS, KEY >

_

Definition at line 619 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h